/calendars/{calendarId}/events
Creates an event in the calendar. When allDay is true, startTime and endTime must be null; otherwise both are required.
Path Parameters
The calendar id.
Body
application/json
Body
EventRequest
The event title.
>= 1 characters<= 256 characters
The event description.
<= 2000 characters
The date the event starts.
Match pattern:^\d{4}-\d{2}-\d{2}$
Example:2026-10-01
The date the event ends. Must not be before startDate.
Match pattern:^\d{4}-\d{2}-\d{2}$
Example:2026-10-01
The time the event starts. Required null when allDay is true, required non-null otherwise.
Match pattern:^([01]\d|2[0-3]):[0-5]\d$
Example:18:00
The time the event ends. Required null when allDay is true, required non-null otherwise.
Match pattern:^([01]\d|2[0-3]):[0-5]\d$
Example:21:00
Whether the event lasts all day.
Response
application/json
Response
The created event
Event
The event id.
The id of the calendar this event belongs to.
The event title.
<= 256 characters
The event description.
<= 2000 characters
The date the event starts.
Match pattern:^\d{4}-\d{2}-\d{2}$
Example:2026-10-01
The date the event ends. Must not be before startDate.
Match pattern:^\d{4}-\d{2}-\d{2}$
Example:2026-10-01
The time the event starts. Null when allDay is true.
Match pattern:^([01]\d|2[0-3]):[0-5]\d$
Example:18:00
The time the event ends. Null when allDay is true.
Match pattern:^([01]\d|2[0-3]):[0-5]\d$
Example:21:00
Whether the event lasts all day. When true, startTime and endTime must be null; otherwise both are required.
Authentication
Path Parameters
Body
/calendars/{calendarId}/events/{eventId}
Returns a single event by id.
Path Parameters
The calendar id.
The event id.
Response
application/json
Response
The event
Event
The event id.
The id of the calendar this event belongs to.
The event title.
<= 256 characters
The event description.
<= 2000 characters
The date the event starts.
Match pattern:^\d{4}-\d{2}-\d{2}$
Example:2026-10-01
The date the event ends. Must not be before startDate.
Match pattern:^\d{4}-\d{2}-\d{2}$
Example:2026-10-01
The time the event starts. Null when allDay is true.
Match pattern:^([01]\d|2[0-3]):[0-5]\d$
Example:18:00
The time the event ends. Null when allDay is true.
Match pattern:^([01]\d|2[0-3]):[0-5]\d$
Example:21:00
Whether the event lasts all day. When true, startTime and endTime must be null; otherwise both are required.
Authentication
Path Parameters
/calendars/{calendarId}/events/{eventId}
Replaces the event. All fields are required.
Path Parameters
The calendar id.
The event id.
Body
application/json
Body
EventRequest
The event title.
>= 1 characters<= 256 characters
The event description.
<= 2000 characters
The date the event starts.
Match pattern:^\d{4}-\d{2}-\d{2}$
Example:2026-10-01
The date the event ends. Must not be before startDate.
Match pattern:^\d{4}-\d{2}-\d{2}$
Example:2026-10-01
The time the event starts. Required null when allDay is true, required non-null otherwise.
Match pattern:^([01]\d|2[0-3]):[0-5]\d$
Example:18:00
The time the event ends. Required null when allDay is true, required non-null otherwise.
Match pattern:^([01]\d|2[0-3]):[0-5]\d$
Example:21:00
Whether the event lasts all day.
Response
application/json
Response
The updated event
Event
The event id.
The id of the calendar this event belongs to.
The event title.
<= 256 characters
The event description.
<= 2000 characters
The date the event starts.
Match pattern:^\d{4}-\d{2}-\d{2}$
Example:2026-10-01
The date the event ends. Must not be before startDate.
Match pattern:^\d{4}-\d{2}-\d{2}$
Example:2026-10-01
The time the event starts. Null when allDay is true.
Match pattern:^([01]\d|2[0-3]):[0-5]\d$
Example:18:00
The time the event ends. Null when allDay is true.
Match pattern:^([01]\d|2[0-3]):[0-5]\d$
Example:21:00
Whether the event lasts all day. When true, startTime and endTime must be null; otherwise both are required.
Authentication
Path Parameters
Body
/calendars/{calendarId}/events/{eventId}
Deletes the event.
Path Parameters
The calendar id.
The event id.
Response
Response
The event was deleted
Authentication
Path Parameters
Calendar
objectThe calendar id.
The calendar name.
<= 256 characters